Debian Bug report logs - #658944
cdrdao: Uses perl4 corelibs without Depends

version graph

Package: cdrdao; Maintainer for cdrdao is Debian QA Group <packages@qa.debian.org>; Source for cdrdao is src:cdrdao.

Reported by: Dominic Hargreaves <dom@earth.li>

Date: Mon, 6 Feb 2012 21:33:02 UTC

Severity: minor

Found in version cdrdao/1:1.2.3-0.2

Fixed in version cdrdao/1:1.2.3-1

Done: Markus Koschany <apo@gambaru.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Christian Hübschi <huebschi.christian@gmail.com>:
Bug#658944; Package cdrdao. (Mon, 06 Feb 2012 21:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
New Bug report received and forwarded. Copy sent to Christian Hübschi <huebschi.christian@gmail.com>. (Mon, 06 Feb 2012 21:33:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: submit@bugs.debian.org
Subject: cdrdao: Uses perl4 corelibs without Depends
Date: Mon, 6 Feb 2012 21:28:34 +0000
Package: cdrdao
Version: 1:1.2.3-0.2
Severity: normal
User: debian-perl@lists.debian.org
Usertags: perl4-corelibs

Dear maintainer,

This package currently uses one or more deprecated perl 4 era packages,
as shown on the lintian report[1]:

As detailed at [2] we would like you to either add a dependency on

libperl4-corelibs-perl | perl (<< 5.12.3-7)

or (ideally) to replace their use with more modern equivalents.

If you prefer, I will NMU your package with the dependency added.

The wiki page [2] has references (taken from the source of the libraries
in question) for the recommended replacement libraries.

Thanks,
Dominic.

[1] <http://lintian.debian.org/tags/script-uses-perl4-libs-without-dep.html>
[2] <http://wiki.debian.org/Teams/DebianPerlGroup/OpenTasks/Transitions/Perl4CoreLibs>

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)




Information forwarded to debian-bugs-dist@lists.debian.org, Christian Hübschi <huebschi.christian@gmail.com>:
Bug#658944; Package cdrdao. (Mon, 06 Feb 2012 21:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
Extra info received and forwarded to list. Copy sent to Christian Hübschi <huebschi.christian@gmail.com>. (Mon, 06 Feb 2012 21:57:05 GMT) Full text and rfc822 format available.

Message #10 received at 658944@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: 658944@bugs.debian.org, control@bugs.debian.org
Subject: Example only
Date: Mon, 6 Feb 2012 21:54:44 +0000
severity 658944 minor
thanks

Oops, I planned to file bugs where the libraries were only used in
examples at a lower severity. Fixed now.

Cheers,
Dominic.

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)




Severity set to 'minor' from 'normal' Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Mon, 06 Feb 2012 21:57:07 GMT) Full text and rfc822 format available.

Reply sent to Markus Koschany <apo@gambaru.de>:
You have taken responsibility. (Wed, 30 Jan 2013 01:51:06 GMT) Full text and rfc822 format available.

Notification sent to Dominic Hargreaves <dom@earth.li>:
Bug acknowledged by developer. (Wed, 30 Jan 2013 01:51:06 GMT) Full text and rfc822 format available.

Message #17 received at 658944-close@bugs.debian.org (full text, mbox):

From: Markus Koschany <apo@gambaru.de>
To: 658944-close@bugs.debian.org
Subject: Bug#658944: fixed in cdrdao 1:1.2.3-1
Date: Wed, 30 Jan 2013 01:47:35 +0000
Source: cdrdao
Source-Version: 1:1.2.3-1

We believe that the bug you reported is fixed in the latest version of
cdrdao, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 658944@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Markus Koschany <apo@gambaru.de> (supplier of updated cdrdao package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 29 Jan 2013 16:46:12 +0100
Source: cdrdao
Binary: cdrdao gcdmaster
Architecture: source amd64
Version: 1:1.2.3-1
Distribution: unstable
Urgency: low
Maintainer: Debian QA Group <packages@qa.debian.org>
Changed-By: Markus Koschany <apo@gambaru.de>
Description: 
 cdrdao     - records CDs in Disk-At-Once (DAO) mode
 gcdmaster  - GNOME GUI for cdrdao
Closes: 658944
Changes: 
 cdrdao (1:1.2.3-1) unstable; urgency=low
 .
   * QA upload.
   * Set Maintainer to Debian QA Group.
   * Bump compat level to 9 and use debhelper >=9 for automatic hardening build
     flags.
   * Bump Standards-Version to 3.9.4, no changes required.
   * cdrdao-binary: Add missing dependency on
     libperl4-corelibs-perl | perl (<< 5.12.3-7). (Closes: #658944)
   * Update debian/copyright to copyright format 1.0.
   * Add missing dep3 header to 15-kfreebsd-gnu.patch.
   * debian/patches:
     - Add 18-create-valid-desktop-file.patch and remove deprecated UTF-8
       Encoding entry, fix outdated categories and Icon entry.
     - Add 19-fix-format-not-a-string-literal-error.patch which prevents a FTBFS.
     - Add 20-fix-spelling-and-hypen-used-as-minus.patch which corrects errors of
       the same name in cdrdao's and gcdmaster's manpage.
   * debian/rules:
     - Use dh sequencer to simplify debian/rules and to provide recommended
       build-arch and build-indep targets.
     - Build with --parallel.
     - Use --with autotools_dev addon to provide an up-to-date config.sub and
       config.guess file and do not remove these files in the clean target.
     - Build with --Wl, --as-needed to avoid unnecessary dependencies on
       gcdmaster.
     - Enable all hardening build flags with hardening=+all.
   * Add watch file. Thanks to Bart Martens.
Checksums-Sha1: 
 1ddf0e054a59779c1e9f7011c5c444ceafa7dbc9 1880 cdrdao_1.2.3-1.dsc
 70d6547795a1342631c7ab56709fd1940c2aff9f 1428695 cdrdao_1.2.3.orig.tar.bz2
 dc2a3237b3c5f591a41102e92409ae338a40b4b5 20660 cdrdao_1.2.3-1.debian.tar.gz
 60f27d8d50d994bb693cd6a1569fe85344cdd0d9 477034 cdrdao_1.2.3-1_amd64.deb
 e311fe8fd9ce58d82f084263803875adcbe1fb11 582226 gcdmaster_1.2.3-1_amd64.deb
Checksums-Sha256: 
 f479915ffd639b761a68020faef6773084ecb8102acd970a795f941036f23d83 1880 cdrdao_1.2.3-1.dsc
 8193cb8fa6998ac362c55807e89ad0b3c63edc6b01afaeb3d5042519527fb75e 1428695 cdrdao_1.2.3.orig.tar.bz2
 2c8f18f1a8e3dae2228cc5b6571932637e47cb205b23a02efe101f9aa5fb82dd 20660 cdrdao_1.2.3-1.debian.tar.gz
 a59464a72e277f5cc64b2f4edd8c42f7dfd77a68ec9896834a1670f1e5b273b4 477034 cdrdao_1.2.3-1_amd64.deb
 489e02d204f48aa8e1aa220320cf6c618bc4380ca7d5b1a5c6ab90667ec0c70c 582226 gcdmaster_1.2.3-1_amd64.deb
Files: 
 10bfa0a02648ce672c677dbf46584121 1880 otherosfs optional cdrdao_1.2.3-1.dsc
 8d15ba6280bb7ba2f4d6be31d28b3c0c 1428695 otherosfs optional cdrdao_1.2.3.orig.tar.bz2
 57970cf9714c0b5ff8b0647226f7136e 20660 otherosfs optional cdrdao_1.2.3-1.debian.tar.gz
 4f45e5a3a728eef95df2131fc8495925 477034 otherosfs optional cdrdao_1.2.3-1_amd64.deb
 134119abe94431e702e4a425a647672c 582226 sound optional gcdmaster_1.2.3-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJRCHk3AAoJEHQmOzf1tfkTsQQQAMhVrFftaE8DGh7jodqwcZjj
/CmiSxbgNFVwvC3GDHnKIKfCV6oDMUzy6u4lnU6RaA8n23rALle2lbHE+21n5ebV
2qtqBfgJzQcrgz07c2j3TkFTPh+RQsNgFchJZaSxYOee01GYQLf5JkWpUJoRmzhL
CUVI6hzQbN4XNC0O4n0Z480BjAjLrc2yS1IxDoKEROOKFm0jW9xpp53JP54rQYoY
iNmDSDVl8j08w4Xocvs4Jaii7tET6clNFj6vuCop5T7a2+wxChaFirXy1arIrV6r
p1Up04xdzaDdxZBQ4INLRJKxkxOlzAaOl6xLPQqC9OUeRP3UJfyuAFlxt4e7q1HA
96xDqYPAXjP3lyDbiqRtm1mDFigSNVKbYLJ1TC+oVmdANfJrNwIX4sctiltlRE9W
jfGW+yQ2XWiteRjFPjoAMazPds5ms/qsZrfKEO2KyOcIguRj9UV9eawb2/HQoHVe
SLJL5sItOK+v6tRHkLNNkgjuwISsZpQQWb/O8B4iAyl+Q9wqrwdu7A9cc0N4rkvu
PpO4AZgI9c/sHY/4Fd89XQpZFkvt4wJH3KHIDPGi35+YjXA/hv8Sz9dptlv0Hyx8
D0SqeeNEpFC1nyOBB8rHToScA4VdEEAhY/Wq9NmZ2PzELidcgiUgfPD+C5pHzljh
1rI/JTTBkBof/YZiICQe
=id8F
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 03 Jun 2013 08:22:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 00:12:49 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.